Cutlass CUDA Templates for Linear Algebra Subroutines and Solvers

Classes | Public Types | Static Public Attributes | List of all members
cutlass::gemm::SplitkPIGemmTraits< GemmTraits_, ReductionTraits_ > Struct Template Reference

`#include <device_gemm_traits.h>`

## Classes
struct | Params

## Public Types
typedef GemmTraits_ | GemmTraits
typedef ReductionTraits_ | ReductionTraits
typedef SplitkPIGemmTraits< GemmTraits_, ReductionTraits_ > | This_
typedef cutlass::gemm::DeviceGemm< This_ > | KernelClass
typedef GemmTraits::Index | Index
typedef ReductionTraits::ScalarAlphaBeta | Scalar
typedef GemmTraits::ScalarA | ScalarA
typedef GemmTraits::ScalarB | ScalarB
typedef GemmTraits::ScalarD | ScalarAccum
typedef ReductionTraits::ScalarC | ScalarC
typedef ReductionTraits::ScalarD | ScalarD

## Static Public Attributes
static MatrixLayout::Kind const | kLayoutA = GemmTraits::kLayoutA
| The layout of A. can be deduced from the layout set in batched gemm. More...
static MatrixLayout::Kind const | kLayoutB = GemmTraits::kLayoutB
| The layout of B. can be deduced from the layout set in batched gemm. More...

## Member Typedef Documentation

## ◆ GemmTraits

template<typename GemmTraits_ , typename ReductionTraits_ >

typedef GemmTraits_ cutlass::gemm::SplitkPIGemmTraits< GemmTraits_, ReductionTraits_ >::GemmTraits

## ◆ Index

template<typename GemmTraits_ , typename ReductionTraits_ >

typedef GemmTraits::Index cutlass::gemm::SplitkPIGemmTraits< GemmTraits_, ReductionTraits_ >::Index

## ◆ KernelClass

template<typename GemmTraits_ , typename ReductionTraits_ >

typedef cutlass::gemm::DeviceGemm<This_> cutlass::gemm::SplitkPIGemmTraits< GemmTraits_, ReductionTraits_ >::KernelClass

## ◆ ReductionTraits

template<typename GemmTraits_ , typename ReductionTraits_ >

typedef ReductionTraits_ cutlass::gemm::SplitkPIGemmTraits< GemmTraits_, ReductionTraits_ >::ReductionTraits

## ◆ Scalar

template<typename GemmTraits_ , typename ReductionTraits_ >

typedef ReductionTraits::ScalarAlphaBeta cutlass::gemm::SplitkPIGemmTraits< GemmTraits_, ReductionTraits_ >::Scalar

## ◆ ScalarA

template<typename GemmTraits_ , typename ReductionTraits_ >

typedef GemmTraits::ScalarA cutlass::gemm::SplitkPIGemmTraits< GemmTraits_, ReductionTraits_ >::ScalarA

## ◆ ScalarAccum

template<typename GemmTraits_ , typename ReductionTraits_ >

typedef GemmTraits::ScalarD cutlass::gemm::SplitkPIGemmTraits< GemmTraits_, ReductionTraits_ >::ScalarAccum

## ◆ ScalarB

template<typename GemmTraits_ , typename ReductionTraits_ >

typedef GemmTraits::ScalarB cutlass::gemm::SplitkPIGemmTraits< GemmTraits_, ReductionTraits_ >::ScalarB

## ◆ ScalarC

template<typename GemmTraits_ , typename ReductionTraits_ >

typedef ReductionTraits::ScalarC cutlass::gemm::SplitkPIGemmTraits< GemmTraits_, ReductionTraits_ >::ScalarC

## ◆ ScalarD

template<typename GemmTraits_ , typename ReductionTraits_ >

typedef ReductionTraits::ScalarD cutlass::gemm::SplitkPIGemmTraits< GemmTraits_, ReductionTraits_ >::ScalarD

## ◆ This_

template<typename GemmTraits_ , typename ReductionTraits_ >

typedef SplitkPIGemmTraits<GemmTraits_, ReductionTraits_> cutlass::gemm::SplitkPIGemmTraits< GemmTraits_, ReductionTraits_ >::This_

## Member Data Documentation

## ◆ kLayoutA

template<typename GemmTraits_ , typename ReductionTraits_ >

MatrixLayout::Kind const cutlass::gemm::SplitkPIGemmTraits< GemmTraits_, ReductionTraits_ >::kLayoutA = GemmTraits::kLayoutA
| static

## ◆ kLayoutB

template<typename GemmTraits_ , typename ReductionTraits_ >

MatrixLayout::Kind const cutlass::gemm::SplitkPIGemmTraits< GemmTraits_, ReductionTraits_ >::kLayoutB = GemmTraits::kLayoutB
| static

The documentation for this struct was generated from the following file:

- device_gemm_traits.h